import { Component, OnInit, AfterViewInit, ViewChild } from '@angular/core';
import { orderDetails } from './data';
import { GridComponent } from '@syncfusion/ej2-angular-grids';
import { DataService } from './services/data.service';
import { delay } from 'q';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements AfterViewInit {

  title = 'grid spinner';

  constructor() { }

  public data: Object[];

  @ViewChild('grid')
  public grid: GridComponent;

  ngAfterViewInit(): void {

    this.grid.showSpinner();
    // delay(100000);
    this.data = orderDetails;
    // this.grid.showSpinner();
  }


}
