import { Injectable, Inject } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { orderDetails } from '../data';
import { Observable, of } from 'rxjs';
import { delay } from 'q';

@Injectable()

export class DataService {

  constructor(private http: HttpClient) {

  }

  public getData(): Observable<any> {
    delay(3000);
    return of(orderDetails);
  }

}
